Your submission was sent successfully! Close

You have successfully unsubscribed! Close

USN-3282-2: FreeType vulnerabilities

17 May 2017

FreeType could be made to crash or run programs if it opened a specially crafted font file.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Releases

Packages

  • freetype - FreeType 2 is a font engine library

Details

It was discovered that FreeType did not correctly handle certain malformed
font files. If a user were tricked into using a specially crafted font
file, a remote attacker could cause FreeType to crash, resulting in a
denial of service, or possibly execute arbitrary code.

Reduce your security exposure

Ubuntu Pro provides ten-year security coverage to 25,000+ packages in Main and Universe repositories, and it is free for up to five machines.

Learn more about Ubuntu Pro

Update instructions

The problem can be corrected by updating your system to the following package versions:

Ubuntu 12.04

After a standard system update you need to restart your session to make
all the necessary changes.

Related notices

  • USN-3282-1: freetype, libfreetype6, libfreetype6-dev, freetype2-demos, libfreetype6-udeb